import { CrookCustomBreakHandler } from '../content/items/crook.js';
import { GeneratorLookAtHandler } from '../content/blocks/generator.js';
import { WoodShearsBreakHandler } from '../content/items/wood_shears.js';

const CUSTOM_BREAK_HANDLERS = [
    new CrookCustomBreakHandler(),
    new WoodShearsBreakHandler()
];
const LOOKAT_HANDLERS = [
    new GeneratorLookAtHandler("ftb_sieves:cobble_gen", "ftb_sieves.messages.generator_cobblestone.full"),
    new GeneratorLookAtHandler("ftb_sieves:basalt_gen", "ftb_sieves.messages.generator_basalt.full")
];

export { CUSTOM_BREAK_HANDLERS, LOOKAT_HANDLERS };
